$LOAD_PATH.unshift __dir__

require "xyz/version"
require 'optparse'

module Rome
  class Error < StandardError; end

  def self.run(args)
    options = Options.parse(args)
  end

  class Options
    def self.parse(args)
      options = {}

      OptionParser.new do |opts|
        opts.program_name = File.basename(bash)
        opts.banner = "Usage: #{opts.program_name} [options]"

        opts.separator ""
        opts.separator "Options:"

        opts.on("-oNAME", "--output=NAME", "Specify output file name") do |v|
          options[:output] = v
        end

        opts.on("-v", "--[no-]verbose", "Run verbosely") do |v|
          options[:verbose] = v
        end

        opts.on_tail("-h", "--help", "Print help", "something else") do |v|
          abort opts.to_s
        end

        opts.on_tail("-V", "--version", "Print version") do |v|
          abort "#{opts.program_name} #{VERSION}"
        end
      end.parse!(args)

      options
    end
  end
end
